curl -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
-X POST https://api.razorpay.com/v1/fund_accounts \
-H "Content-Type: application/json" \
-d '{
"contact_id": "cont_00000000000001",
"account_type": "wallet",
"wallet": {
"provider": "amazonpay",
"phone": "+919876543210",
"email": "gaurav.kumar@example.com",
"name": "Gaurav Kumar"
}
}'
{
"id": "fa_00000000000001",
"entity": "fund_account",
"contact_id": "cont_00000000000001",
"account_type": "wallet",
"wallet": {
"provider": "amazonpay",
"phone": "+919876543210",
"email": "gaurav.kumar@example.com",
"name": "Gaurav Kumar"
},
"active": true,
"batch_id": null,
"created_at": 1543650891
}
Payout Wallet - Amazon
Create a Fund Account of Type Wallet
Create a Fund Account of type the wallet via API.
POST
/
v1
/
fund-accounts
/
curl -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
-X POST https://api.razorpay.com/v1/fund_accounts \
-H "Content-Type: application/json" \
-d '{
"contact_id": "cont_00000000000001",
"account_type": "wallet",
"wallet": {
"provider": "amazonpay",
"phone": "+919876543210",
"email": "gaurav.kumar@example.com",
"name": "Gaurav Kumar"
}
}'
{
"id": "fa_00000000000001",
"entity": "fund_account",
"contact_id": "cont_00000000000001",
"account_type": "wallet",
"wallet": {
"provider": "amazonpay",
"phone": "+919876543210",
"email": "gaurav.kumar@example.com",
"name": "Gaurav Kumar"
},
"active": true,
"batch_id": null,
"created_at": 1543650891
}
Available in🇮🇳 India🇲🇾 Malaysia🇸🇬 Singapore🇺🇸 United States
Use this endpoint to create a Fund Account of the type wallet. A new Fund Account is created if any combination of the following details is unique: contact_id, wallet.phone.number, wallet.phone.country_code, and wallet.email.
- If all the above details match the details of an existing Fund Account, the API returns details of the existing Fund Account.
- You cannot edit the details of a Fund Account.
curl -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
-X POST https://api.razorpay.com/v1/fund_accounts \
-H "Content-Type: application/json" \
-d '{
"contact_id": "cont_00000000000001",
"account_type": "wallet",
"wallet": {
"provider": "amazonpay",
"phone": "+919876543210",
"email": "gaurav.kumar@example.com",
"name": "Gaurav Kumar"
}
}'
{
"id": "fa_00000000000001",
"entity": "fund_account",
"contact_id": "cont_00000000000001",
"account_type": "wallet",
"wallet": {
"provider": "amazonpay",
"phone": "+919876543210",
"email": "gaurav.kumar@example.com",
"name": "Gaurav Kumar"
},
"active": true,
"batch_id": null,
"created_at": 1543650891
}
Request Parameters
Beneficiary phone details. 10 digit beneficiary phone number with the country code. For example,
+919876543210 .Wallet holder’s name. Name must be between 4 - 120 characters. This field is case-sensitive. Name cannot end with a special character, except
.. Supported characters: a-z, A-Z, 0-9, space, ’ , - , _ , / , ( , ) and , .. For example, Gaurav Kumar.Response Parameters
This parameter is populated if the fund account was created as part of a bulk upload. For example,
batch_00000000000001.Last modified on October 8, 2026
Was this page helpful?